1. ChizPay Wallet & Transactions
Chizverse
  • ChizVerse Developer Docs
    • Getting Started
    • API Reference
      • Overview
      • Chizmis Authentication
        • Exchange for a ChizVerse Bearer
        • Hosted Client Login
        • Hosted Client Registration
        • Logout
        • Get Current Account
        • Validate Client Application
        • Login with Existing Session
        • Verify Session Key
      • Activity Tracking
        • Create Launch
        • Create Tracked Session
        • Get Session Checkpoint
        • Get Saved Player Progress
        • Ingest Event Batch
        • Get Game Leaderboard
      • ChizPay Wallet & Transactions
        • Get Wallet by Account ID
          GET
        • Transfer Wallet Balance
          POST
        • Get Wallet Transaction History
          GET
        • Debit Wallet
          POST
        • Credit Wallet
          POST
        • Get Game Ledger
          GET
    • SDK
    • Schemas
      • ExchangeForAChizVerseBearerResponse
      • ExchangeForAChizVerseBearerRequest
      • LogoutResponse
      • LogoutRequest
      • GetCurrentAccountResponse
      • ValidateClientApplicationResponse
      • LoginWithExistingSessionResponse
      • LoginWithExistingSessionRequest
      • VerifySessionKeyResponse
      • CreateLaunchResponse
      • CreateLaunchRequest
      • CreateTrackedSessionResponse
      • CreateTrackedSessionRequest
      • GetSessionCheckpointResponse
      • GetSavedPlayerProgressResponse
      • IngestEventBatchResponse
      • IngestEventBatchRequest
      • GetGameLeaderboardResponse
      • GetWalletByAccountIDResponse
      • TransferWalletBalanceResponse
      • TransferWalletBalanceRequest
      • GetWalletTransactionHistoryResponse
      • DebitWalletResponse
      • DebitWalletRequest
      • CreditWalletResponse
      • CreditWalletRequest
      • GetGameLedgerResponse
  1. ChizPay Wallet & Transactions

Get Wallet by Account ID

GET
/chizpay/v1.0/wallets/by-account/{accountId}
Retrieves the centralized wallet state for a player.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Successful response.
Bodyapplication/json

🟠400Invalid accountId format
🟠401Unauthorized
🟠404Wallet not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chizmis.com/chizpay/v1.0/wallets/by-account/' \
--header 'authorization;'
Response Response Example
200 - Success
{
  "success": true,
  "response": {
    "id": 9123,
    "accountId": 67890,
    "balance": 2500,
    "isActive": true,
    "account": {
      "id": 67890,
      "firstName": "Juan",
      "lastName": "Dela Cruz",
      "email": "juan@example.com",
      "avatar": "https://cdn.example.com/avatar.png"
    },
    "createdAt": "2026-05-06T10:00:00.000Z",
    "updatedAt": "2026-05-06T10:15:00.000Z"
  }
}
Modified at 2026-07-30 06:57:15
Previous
ChizPay Wallet & Transactions
Next
Transfer Wallet Balance
Built with